// including plugins
const gulp = require('gulp')
const minifyCSS = require('gulp-clean-css')
const autoprefixer = require('gulp-autoprefixer')
const gpConcat = require('gulp-concat')
const gpRename = require('gulp-rename')
const gpUglify = require('gulp-uglify')
const clean = require('gulp-clean')
const to5 = require('gulp-6to5')
const path = require('path')

// Add CSS files
gulp.task('css', function () {
  return gulp.src(['./public/css/bootstrap.css'])
    .pipe(minifyCSS())
    .pipe(autoprefixer('last 2 version', 'safari 5', 'ie 8', 'ie 9'))
    .pipe(gpConcat('style.min.css'))
    .pipe(gulp.dest('./public/dist/css/'))
})

/*
// When using a theme, usuually there is a fonts
// directory that should be copied to dist
gulp.task('copy-fonts', function(){
    return gulp.src(
            [
                './public/fonts/**'
            ]
        )
        .pipe(gulp.dest('./public/dist/fonts/'))
})
*/

gulp.task('style', ['css'])

// Add javascript files here
gulp.task('vendor', function () {
  return gulp.src(['./public/js/jquery.js'])
    .pipe(gpConcat('vendor.min.js'))
    .pipe(gulp.dest('./public/dist/js/'))
    .pipe(gpRename('vendor.min.js'))
    .pipe(gpUglify())
    .pipe(gulp.dest('./public/dist/js/'))
})

gulp.task('js', ['vendor'])

// Use to convert ES6 Javascript code to ES5:
// gulp.task('es6-es5', function(){
//   return gulp.src([
//     './src/*/**.js',
//     './src/*/*/**.js'
//   ])
//   .pipe(to5())
//   .pipe(gulp.dest('./es5/'))
// })

// gulp.task('watch', function() {
//     gulp.watch(['./src/*/**.js', './src/*/*/**.js', './public/js/**.js'], ['es6-es5'])
// })

gulp.task('prod', ['style', 'js'])
gulp.task('default', ['style', 'js'])
