const { Model } = require('vertex360')({ site_id: process.env.TURBO_APP_ID })

const props = {
  image: { type: String, default: '' },
  youtubeId: { type: String, default: '' },
  title: { type: String, default: '', display: true },
  preview: { type: String, default: '', trim: true },
  category: { type: String, default: '' },
  text: { type: String, default: '', isHtml: true },
  slug: { type: String, default: '', immutable: true },
  isPublic: { type: String, default: 'no', immutable: true },
  schema: { type: String, default: 'video', immutable: true },
  dateString: { type: String, default: '', immutable: true },
  timestamp: { type: Date, default: new Date(), immutable: true }
}

class Video extends Model {
  constructor () {
    super()
    this.schema(props)
  }

  static get resourceName () {
    return 'video'
  }

  static collectionName () {
    return 'videos'
  }
}

module.exports = Video
