const { Model } = require('vertex360')({ site_id: process.env.TURBO_APP_ID })

const props = {
  email: { type: String, default: '', display: true },
  password: { type: String, default: '' },
  schema: { type: String, default: 'profile', immutable: true },
  timestamp: { type: Date, default: new Date(), immutable: true }
}

class Profile extends Model {
  constructor () {
    super()
    this.schema(props)

    // this is how to set default values on new instances
    this.timestamp = new Date()
  }

  static get resourceName () {
    return 'profile'
  }

  static collectionName () {
    return 'profiles'
  }
}

module.exports = Profile
